Subject: Re: {before,after}ImageBindings in xfaces 3.3 have me stumped no longer

From: Dave Cohrs <[email-masked]>
Date: Mon, 10 Mar 1997 15:02:03 -0800

I figured it out myself while the message was in transit.

It appears the before and after image bindings only look inthe imagePath,
not in the facedbPath, so I fixed my imagePath and put the appropriate xbm
file in a directory in my imagePath, and it started working.

I assume the unknown face kept showing up because it was a built-in.  It
turned out I had my imagePath set to a non-existant directory, so it never
was finding my unknown face (but the default must have been the same).

>> I want to set up a binding for all the mail I get from the Pilot users
>> mailing list.  The common element I can see in these messages is the "Sender:"
>> header, so I tried:
>> 
>> XFaces.beforeImageBindings: \
>> 	Sender:	owner-pilot:	pilot
>> 
>> But the faces still all came up as "the unknown picture".  I tried
>> 
>> XFaces.afterImageBindings: \
>> 	Sender:	owner-pilot:	pilot
>> 
>> But the faces still all came up as "the unknown picture" (how?  By doing
>> this, I thought I would lose my "* *: unknown" spec, so how did it find the
>> unknown picture?  Yes, I really did an "xrdb -load" on each attempt).
>> 
>> Where do I need to put the "pilot" file?  This is actually a an xbm file.
>> I've tried, using the facedbpath, putting it in
>> 	MISC/pilot/face.xbm
>> 	MISC/pilot.xbm
>> 	pilot.xbm
>> 	MISC/unknown/pilot.xbm		(this follows the model I used for
>> 					a default sound)
>> 
>> All to no avail.  No matter what, I get the unknown face.
>> I'm stumped.  Anyone know what I really should do?